microsoft-foundry.rest.security.o-auth2-auth
Datasets
Get a version
GET
/datasets/{name}/versions/{version}
Get the specific version of the DatasetVersion. The service returns 404 Not Found error if the DatasetVersion does not exist.
Query parameters
api-version
string
required
The API version to use for this operation.
Path parameters
name
string
required
The name of the resource
version
string
required
The specific version id of the DatasetVersion to retrieve.
Responses
The request has succeeded.
Body
Content-Type: application/json
One of the following:
uri_file
FileDatasetVersion
FileDatasetVersion Definition
type
enum
required
Dataset type
uri_file
uri_folder
FolderDatasetVersion
FileDatasetVersion Definition
type
enum
required
Dataset type
uri_folder
Request
GET /datasets/{name}/versions/{version} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json